<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-curso-heading" data-cy="CursoCreateUpdateHeading" jhiTranslate="matrixApp.curso.home.createOrEditLabel">
        Criar ou editar Curso
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="mb-3" *ngIf="editForm.controls.id.value !== null">
          <label class="form-label" jhiTranslate="matrixApp.curso.id" for="field_id">Id</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.nome" for="field_nome">Nome</label>
          <input type="text" class="form-control" name="nome" id="field_nome" data-cy="nome" formControlName="nome" />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.cargaHorasMinCurso" for="field_cargaHorasMinCurso"
            >Carga Horas Min Curso</label
          >
          <input
            type="number"
            class="form-control"
            name="cargaHorasMinCurso"
            id="field_cargaHorasMinCurso"
            data-cy="cargaHorasMinCurso"
            formControlName="cargaHorasMinCurso"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.cargaHorasMinEstagio" for="field_cargaHorasMinEstagio"
            >Carga Horas Min Estagio</label
          >
          <input
            type="number"
            class="form-control"
            name="cargaHorasMinEstagio"
            id="field_cargaHorasMinEstagio"
            data-cy="cargaHorasMinEstagio"
            formControlName="cargaHorasMinEstagio"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.percMaxEstagioAC" for="field_percMaxEstagioAC">Perc Max Estagio AC</label>
          <input
            type="number"
            class="form-control"
            name="percMaxEstagioAC"
            id="field_percMaxEstagioAC"
            data-cy="percMaxEstagioAC"
            formControlName="percMaxEstagioAC"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.percMaxAtividadeDistancia" for="field_percMaxAtividadeDistancia"
            >Perc Max Atividade Distancia</label
          >
          <input
            type="number"
            class="form-control"
            name="percMaxAtividadeDistancia"
            id="field_percMaxAtividadeDistancia"
            data-cy="percMaxAtividadeDistancia"
            formControlName="percMaxAtividadeDistancia"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.perfil" for="field_perfil">Perfil</label>
          <select
            class="form-control"
            id="field_perfil"
            data-cy="perfil"
            name="perfil"
            formControlName="perfil"
            [compareWith]="comparePerfil"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="perfilOption" *ngFor="let perfilOption of perfilsSharedCollection">{{ perfilOption.id }}</option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.modalidade" for="field_modalidade">Modalidade</label>
          <select
            class="form-control"
            id="field_modalidade"
            data-cy="modalidade"
            name="modalidade"
            formControlName="modalidade"
            [compareWith]="compareModalidade"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="modalidadeOption" *ngFor="let modalidadeOption of modalidadesSharedCollection">
              {{ modalidadeOption.id }}
            </option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.escola" for="field_escola">Escola</label>
          <select
            class="form-control"
            id="field_escola"
            data-cy="escola"
            name="escola"
            formControlName="escola"
            [compareWith]="compareEscola"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="escolaOption" *ngFor="let escolaOption of escolasSharedCollection">{{ escolaOption.id }}</option>
          </select>
        </div>

        <div class="mb-3">
          <label class="form-label" jhiTranslate="matrixApp.curso.tipoDeCurso" for="field_tipoDeCurso">Tipo De Curso</label>
          <select
            class="form-control"
            id="field_tipoDeCurso"
            data-cy="tipoDeCurso"
            name="tipoDeCurso"
            formControlName="tipoDeCurso"
            [compareWith]="compareTipoDeCurso"
          >
            <option [ngValue]="null"></option>
            <option [ngValue]="tipoDeCursoOption" *ngFor="let tipoDeCursoOption of tipoDeCursosSharedCollection">
              {{ tipoDeCursoOption.id }}
            </option>
          </select>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancelar</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Salvar</span>
        </button>
      </div>
    </form>
  </div>
</div>
